ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT > Class Template Reference

Helper range class for representing a subvector of a larger buffer. More...

`#include <block_ilu.hpp>`

## Public Member Functions
| ilu_vector_range (VectorT &v, SizeT start_index, SizeT vec_size)
NumericT & | operator() (SizeT index)
NumericT & | operator[] (SizeT index)
SizeT | size () const

## Detailed Description

### template<typename VectorT, typename NumericT, typename SizeT = vcl_size_t>
class viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >

Helper range class for representing a subvector of a larger buffer.

Definition at line 43 of file block_ilu.hpp.

## Constructor & Destructor Documentation

template<typename VectorT , typename NumericT , typename SizeT = vcl_size_t>

viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >::ilu_vector_range | ( | VectorT & | v,
|  | SizeT | start_index,
|  | SizeT | vec_size
| ) |  |
| inline

Definition at line 46 of file block_ilu.hpp.

## Member Function Documentation

template<typename VectorT , typename NumericT , typename SizeT = vcl_size_t>

NumericT& viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >::operator() | ( | SizeT | index | ) |
| inline

Definition at line 51 of file block_ilu.hpp.

template<typename VectorT , typename NumericT , typename SizeT = vcl_size_t>

NumericT& viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >::operator[] | ( | SizeT | index | ) |
| inline

Definition at line 57 of file block_ilu.hpp.

template<typename VectorT , typename NumericT , typename SizeT = vcl_size_t>

SizeT viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >::size | ( |  | ) | const
| inline

Definition at line 63 of file block_ilu.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/block_ilu.hpp